<?php
/**
 * Plugin CIBLOC
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function action_cibloc_purger_dist($arg = null) {
	if (is_null($arg)) {
		$securiser_action = charger_fonction('securiser_action', 'inc');
		$arg = $securiser_action();
	}

	if (autoriser('configurer')) {
            if ($arg=='cibloc'){
                include_spip('inc/cibloc_commun');

                cibloc_purger_cache_css();
                cibloc_purger_definition_cache();
                cibloc_purger_cache_js();

                spip_log("purger cibloc");
            }
        }
}