<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

// lire le cache
include_spip('inc/cibloc_lire_cache');
cibloc_lire_cache_definition();


$cibloc_info_pj = '';
if (defined('_CIBLOC_BLOC_RESSOURCES_AUTOMATIQUE') AND _CIBLOC_BLOC_RESSOURCES_AUTOMATIQUE=='oui' ){
    $cibloc_info_pj = '<br>- Dokumente (sowie Links, die mit der Syntax &#91;Titre du lien->adresse&#93;), denen ein Zeilenumbruch vorangestellt ist, werden automatisch in eine Liste konvertiert, wenn die Seite berechnet wird (es sei denn sind in einem Block oder in einem SPIP-Array).';
}

$GLOBALS[$GLOBALS['idx_lang']] = array(
'choisir_bloc' => 'Wähle einen Block',
'choisir_icone' => 'Wähle ein Symbol',
'choisir_bouton' => 'Einen Button einfügen',

'voir_explication' => 'Erklärungen anzeigen',    
'masquer_explication' => 'Erklärungen ausblenden',  
'fermer_fenetre' => 'Schließen',

'info_bloc' => 'Klicken Sie auf einen Block (oder Spalten oder Satz von Blöcken), um ihn in den Text einzufügen.<br>Erklärungen werden am Ende der Liste angezeigt.',
'info_icone' => 'Klicken Sie auf ein Symbol, um es in den Text einzufügen.<br>Erklärungen werden am Ende der Liste angezeigt.',
'info_bouton' => 'Mit diesem Formular können Sie einen Link in Form einer Schaltfläche erstellen, mit der folgenden Syntax: &#91;bouton_...&#93;&#91;Titre->adresse&#93;&#91;&#47;bouton_...&#93;<br><br>',

'info_pied_bloc' => 'Erklärungen: <br>- Klicken Sie vor dem Einfügen eines Blocks in den Text des Artikels, in den Sie den Block einfügen möchten. <br>- Wenn Sie auf einen Satz (von Blöcken) klicken, der ein Bild enthält, wird dies angezeigt Demobild wird mit der folgenden Syntax eingefügt: &lt;demoimage|nom=image10&gt;<br>Es sollte durch Ihre Bilder ersetzt werden. Wenn Sie auf einen Block klicken, der einen Link in Form einer Schaltfläche enthält, wird er beispielsweise eingefügt mit der folgenden Syntax: &#91;bouton_gris&#93;&#91;Exemple de lien->http://www.google.fr&#93;&#91;/bouton_gris&#93;.<br>Es ist ratsam, den Titel des Links und seine Adresse durch den Titel und die gewünschte Adresse zu ersetzen. <br>- Man kann eine Mehrspalte in einen Block einfügen. <br>- Man kann einen Block in eine Spalte einfügen. <br>- Wenn ein Block in einem anderen enthalten ist wird eine Fehlermeldung angezeigt.<br>- Wenn eine mehrspaltige Spalte in einer anderen Spalte enthalten ist, wird eine Fehlermeldung angezeigt.'.$cibloc_info_pj,
'info_pied_icone' => 'Erläuterungen: <br>- Klicken Sie vor dem Einfügen eines Symbols in den Text des Artikels, an dem das Symbol eingefügt werden soll. <br>- Wenn Sie auf ein Symbol klicken, wird das Symbol in den Text eingefügt des Artikels mit der folgenden Syntax: &lt;icone|nom=bicycle|echelle=2&gt;<br>Es ist möglich, die Waage durch Ersetzen von Skala = 2 durch Skala = 1 (oder 3 oder 4 oder 5) zu ändern. Es ist möglich, ein Symbol mit der Taste zu zentrieren Gleiche Syntax wie bei Bildern: &lt;icone|nom=bicycle|echelle=2|center&gt;.<br>- Wenn ein Symbol nicht in der Liste enthalten ist, können Sie versuchen, name = ... durch den Namen des gewünschten Symbols (ab FontAwesome Version 4.7.0) zu ersetzen.',
'info_pied_bouton' => 'Erklärungen: <br> - Die Adresse kann sich außerhalb der Site befinden (Beispiel: http://www.mysite.com), <br> oder die Adresse eines Artikels dieser Site, indem deren Nummer angegeben wird (Beispiel: art8 ), oder die einer Überschrift dieser Site durch Angabe ihrer Nummer (Beispiel: rub12) usw. <br> - Die Breite der Schaltfläche passt sich automatisch an die des Titels an',

'liste_bloc' => 'Liste der Blöcke',
'liste_icone' => 'Liste der Symbole',
'liste_bouton' => 'Liste der Tasten',

'info_liste_bloc' => 'Erklärungen: <br>- Kopieren Sie eine der Syntaxen im Text des Artikels an die Stelle, an der der Block eingefügt werden soll. <br>- Wenn die Syntax ein Demonstrationsbild enthält &lt;demoimage|nom=image10&gt; sollte es mit Ihren Bildern ersetzt werden. Wenn die Syntax einen Link in Form einer Schaltfläche enthält, zum Beispiel: &#91;bouton_gris&#93;&#91;Exemple de lien->http://www.google.fr&#93;&#91;/bouton_gris&#93; müssen Sie den Titel des Links und seine Adresse durch den Titel und die gewünschte Adresse ersetzen. Man kann in einem Block eine mehrspaltige Spalte einfügen. <br>- Sie können einen Block in eine Spalte einfügen. Wenn ein Block in einem anderen Block enthalten ist, wird er automatisch gelöscht. Wenn eine Multispalte in einer anderen Multispalte enthalten ist, wird sie automatisch gelöscht.'.$cibloc_info_pj,
'info_liste_icone' => 'Erklärungen: <br>- Kopieren Sie eine der Syntaxen im Text des Artikels an die Stelle, an der das Symbol eingefügt werden soll. <br>- Sie können die Skala dann ändern, indem Sie scale = 2 durch scale = 1 ersetzen ( oder 3 oder 4 oder 5) .<br>- Es ist möglich, ein Symbol mit derselben Syntax wie für Bilder zu zentrieren: &lt;icone|nom=bicycle|echelle=2|center&gt;.<br>- Wenn ein Symbol nicht in der Liste enthalten ist, können wir versuchen, den Namen zu ersetzen = ... mit dem Namen des gewünschten Symbols (ab FontAwesome Version 4.7.0).',
'info_liste_bouton' => 'Erklärungen: <br> - Kopieren Sie eine der Syntaxen im Text des Artikels an die Stelle, an der die Schaltfläche eingefügt werden soll. <br> - Die Adresse kann außerhalb der Site liegen (Beispiel: http: //www.mysite.com), <br> oder eines Artikels dieser Site durch Angabe ihrer Nummer (Beispiel: art8), <br> oder der Überschrift einer Site dieser Site durch Angabe ihrer Nummer (Beispiel: rub12) usw. <br> - Die Breite der Schaltfläche passt sich automatisch an die des Titels an',

'inserer' => 'Einfügen : ',

'titre_demo_doc' => 'Titel der',

'config_titre' => 'Blöcke konfigurieren, ...',    
'info_cibloc' => 'Konfigurieren Sie farben für CIBLOC',    
'titre_couleur_bloc' => 'Farben für Blöcke, ...',
'titre_couleur_bord' => 'Farbe des border für Blöcke',
'titre_couleur_icone' => 'Farbe des Symbols',
'titre_couleur_lien' => 'Farbe einiger Links in den Blöcken',
'titre_couleur_trait' => 'Farbe der Trennlinie',
'titre_couleur_bloc_accordeon' => 'Farben für Akkordeonblöcke',
'titre_couleur_bloc_ressource' => 'Farben für Dokument und Linklisten',
'titre_couleur_bouton' => 'Farben für Knöpfe',

/* ne pas traduire bloc_gris, ..., car ce sont des codes */    
    
'bord_gris' => 'Graue border',
'bord_ombre' => 'Border mit Schatten',

'bord_accordeon' => 'Border der Akkordeonblöcke',
'bouton_accordeon' => 'Taste',

'bord_ressource' => 'Border ressource',
'icone_ressource' => 'Symbol',

'couleur_par_defaut' => 'Standardfarbe',
'couleur' => 'Farbe',
'echelle' => 'Dimension',    
'alignement' => 'Ausrichtung',
'bouton' => 'Taste',
'bouton_titre' => '<b>Titer</b> [erforderlich]',    
'bouton_url' => '<b>URL</b> [erforderlich]',    
'fond_transparent' => 'Hintergrund transparent',    

'lien_noir' => 'Link',
'lien_blanc' => 'Weißer Link (mit dunklem Hintergrund)',
'lien_blanc_survol' => 'White Link Schwebeflug',

'fond_en_couleur' => 'Mit einem farbigen Hintergrund',    
'fond_transparent' => 'Hintergrund transparent (vide)',    

'config_blocs_titre' => 'Configure blocks',
'config_ensembles_titre' => 'Configure block sets',
'config_ensemble_titre' => 'Configure this set of blocks',
'config_boutons_titre' => 'Configure buttons',
'config_icones_liste_titre' => 'Configure the list of icons',
'config_icones_couleur_titre' => 'Set icons colors',
'config_divers_titre' => 'Configure various points',

'voir_config_blocs_titre' => 'Show block configuration',
'voir_config_ensembles_titre' => 'Show block set configuration',
'voir_config_ensemble_titre' => 'Show the configuration of this set of blocks',
'voir_config_boutons_titre' => 'Show button configuration',
'voir_config_icones_liste_titre' => 'Show list of icons',
'voir_config_icones_couleur_titre' => 'Show color configuration of icons',
'voir_config_divers_titre' => 'Show the configuration of the various points',
    

'configurer' => 'Configure : ',
'voir_configuration' => 'Show the configuration : ',
    
'liste_bouton' => 'List of buttons',
'bouton' => 'Button',
'actif' => 'Enabled',
'action' => 'Action',
'bouton_transparent' => 'This button has a transparent background. The color of the button applies to the border and text of the button.',
    
'config_bouton' => 'Button configuration',    
'configurer_le_bouton' => 'Configure the button',    
'voir_config_bouton' => 'Show button configuration',    
'nom' => 'Name',
'statut' => 'Status',
'statut_active' => 'Enabled',
'statut_masque' => 'Enabled but hidden in the toolbar',
'statut_desactive' => 'Disabled',

'statut_ensemble_active' => 'Displayed in the toolbar',
'statut_ensemble_masque' => 'Hidden in the toolbar',
    
'couleur_bouton' => 'Button color',
'couleur_bouton_survol' => 'Button Color hover',
'taille_texte' => 'Font size',
 
'valeur_incorrecte' => 'Incorrect value',
'obligatoire' => 'Required',

'config_bloc' => 'Block configuration',    
'couleur_bloc' => 'Block color',
'bordure_bloc' => 'Block border',
'couleur_bordure_bloc' => 'Border color',
'couleur_bouton_bloc' => 'Button color to unfold',
'alignement_texte' => 'Text align',
'preremplir' => 'Fictional text in the block',
'preremplir_ensemble' => 'Text',

'padding_top' => 'Padding top (rem)',
'padding_bottom' => 'Padding bottom (rem)',
'padding_right' => 'Padding right (rem)',
'padding_left' => 'Padding left (rem)',

'icones_liste' => 'List of icons (separated by a comma)',    
  
    
'titre_couleur_bord_multisansmarge' => 'Color for multi columns without margin',       
'bord_multisansmarge' => 'Border',
'texte_trait' => 'Horizontal rule',    

    
'icone_creer_bloc' => 'Create a new block',    
'nouveau_bloc' => 'New block',    
'icone_supprimer_bloc' => 'Delete this block',

'icone_creer_ensemble' => 'Create a new set',    
'nouvel_ensemble' => 'New set',    
'valeur_existe' => 'This value already exists',    
'trop_long' => 'This value is too long',    
'id' => '<b>Id</b> [Required]<br>(allowed characters: lowercase letters without accents and numbers)',    
'nom' => '<b>Name</b> [Required]',    
'icone_supprimer_ensemble' => 'Delete this set',
'icone_reinitialiser' => 'Reset to default values',
    
'exporter_config' => 'Export configuration',
'importer_config' => 'Import a configuration',
'info_import_config' => 'You can import an exported configuration from another site (the file is called targetoc_config.txt) to avoid creating it manually.<div class="notice">CAUTION: Importing a configuration deletes the existing configuration . Also, it is recommended to first make a backup of the existing configuration by exporting it.</div>',

'choix_export_couleur' => 'Color palette',
'choix_export_palette' => 'Color palette',
'choix_export_bloc' => 'Block configuration',
'choix_export_ensemble' => 'Configuring block sets',
'choix_export_bouton' => 'Button configuration',
'choix_export_icones_liste' => 'List of icons',
'choix_export_icones_couleur' => 'Icon color configuration',
'choix_export_divers' => 'Configuration of various points',
'choix_export_style' => 'Style configuration for displaying the block list',

'item_export_txt' => 'Normal export (in a text file that can be imported into another site)',
'item_export_php' => 'Specific export (in a PHP file to be deposited in the /config/ folder of another site in order to override the existing configuration)',

'choix_export' => 'Content to export',
'type_export' => 'Export type',
'bouton_import_config' => 'Import this configuration file',
'traitement_termine' => 'Completed treatment<br><br>List of imported items :',
'traitement_echec' => 'Treatment aborted<br><br>List of errors :',    
'televerser_config' => 'Upload the configuration file',
'config_a_importer' => 'Configuration to import',
'erreur_format_txt' => 'The file must be in txt format',
'config_facultative' => 'The configuration is optional.<br>The blocks have a default configuration, etc.',
    
'rang_bloc' => 'Order in the block list (from 0 to 9999)',
'rang_ensemble' => 'Order in the list of sets<br>(from 0 to 9999)',

'bloc_ressource' => 'Convert some documents and links to a list',
'bloc_ressource_automatique' => 'Convert, to a list, documents (and links) preceded by a line break',
'bloc_ressource_info' => 'If we check the box "yes", then the documents and the links (with the SPIP syntax), preceded by a line break, are automatically transformed into a list (HTML)
when displaying an article (except those in a SPIP table or in a block or in a multi-column).',

'guillemet_interdit' => 'Quotation marks are forbidden',    
'preremplir_incorrect' => 'Allowed characters are letters, numbers and _ - \' :  | , . [ ] { } ( ) < > =',    
'nom_incorrect' => 'Allowed characters are letters, numbers and _ - \' % ( ) . , /',    
'listeicones_incorrect' => 'Allowed characters are lowercase letters without accents, numbers and - ,',    

'voir_config_multis_titre' => 'Show the configuration of the multi columns',
'config_multis_titre'  => 'Configure multi columns',
'config_multi' => 'Multi-column configuration',    
'preremplir_multi' => 'Fictitious text in each column',
'rang_multi' => 'Order in the list of multi columns (from 0 to 9999)',
'choix_export_multi' => 'Multi-column configuration',

'marge_des_blocs' => 'Blocks margin',    
'margin_top' => 'Margin top (unit:rem)',
'margin_bottom' => 'Margin bottom (unit:rem)',

'vider_cache' => 'Re-process blocks cache',

'config_couleur_titre' => 'Choose a color palette',
'config_style_titre' => 'Configure the style for displaying the block list',

'voir_config_couleur_titre' => 'Show the color palette',
'voir_config_style_titre' => 'Show the style for displaying the block list',

'desactive_couleur' => 'Disable color',
    
);

?>