<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;


// http://doc.spip.org/@action_editer_multisites_dist
function action_editer_multisites_dist() {

	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	// exemple : 99,_pied,articles,id_article,article
	$r = explode(",",$arg);

	action_editer_multisites_post($r);
}

// http://doc.spip.org/@action_editer_multisites_post
function action_editer_multisites_post($r) {
	$redirect = _request('redirect');

	list($id_objet, $multisite, $table, $table_id, $objet) = $r;
	if ($multisite) {
		if ($objet){ 
		  // desassocier d'un objet precis
			if (autoriser('configurer')){
				sql_delete("spip_cims_multisites", "$table_id=$id_objet AND multisite='$multisite'");
				if (defined('_DIR_PLUGIN_CITRACE')){
					if ($citrace = charger_fonction('citrace', 'inc'))
						$citrace('site', $multisite, 'retirer rubrique du site', 'rubrique:'.$id_objet);
				}
			}
		}
	}

	$redirect = rawurldecode($redirect);
	    
	redirige_par_entete($redirect);
}

?>