<?php
/**
 * Plugin Configurateur de squelettes
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/config');
include_spip('inc/plugin');
include_spip('inc/ciparam_inc_commun');
include_spip('inc/ciparam_inc_meta');


function configuration_ciparam_raccourci_dist(){

	$objet = _request('objet');
	$ciraccourci = _request('raccourci');
	$texte = "";
	$nom = "";
	$description = "";
	$par = _request('tri_liste');
        if (empty($par)){
            $par = "date";
        } elseif(!ctype_alnum(str_replace('_', '', $par))){
            $par = "date";
        }
	if ($objet=='articles' OR $objet=='rubriques'  OR $objet=='syndic') {
	
		$table = "spip_ci_raccourcis_".$objet;
		$raccourcis = ciparam_charger_param_xml("raccourcis-".$objet);
		$raccourcis = ciparam_order_array($raccourcis,'description');
	
		if ($raccourcis) {
		    foreach ($raccourcis as $raccourci) {
		    	if ($raccourci['nom']==$ciraccourci) { 
			    	$nom = $raccourci['nom'];
			    	$description = $raccourci['description'];
			    	break;
		    	}
		    }
		    
		    if ($nom) {
				$texte = recuperer_fond('prive/objets/liste/ciparam_3_'.$objet.'_raccourci',array('raccourci'=>$nom,'titre'=>$description.' - '._T('ciparam:titre_'.$objet.'_lies'),'par'=>$par));
                                
                                // explication generale
                                $res2 = '<br /><br /><br /><div style="background-color: #FFFFFF; border: 1px solid #999999; font-size: 11px; font-family: Arial,Sans,sans-serif; margin: 20px 0 10px; position: relative; padding: 10px;">';
                                $res2 .= http_img_pack("fiche-perso-24.gif", "", " class='cadre-icone'");
                                $res2 .= '<div>'.typo(_T('ciparam:explication_retirer_raccourci'))."<br/>"; 
                                $res2 .= '<a href="'.generer_url_ecrire("ciparam_raccourci_liens","objet=$objet&raccourci=$ciraccourci").'">'._T('ciparam:retirer_rapidement_raccourci').'</a>';
                                $res2 .= "</div>";
                                $res2 .= '</div>';
                		$texte .= $res2;
		    }
		}
	}
	
	return $texte;
}


?>