<?php
/**
 * Plugin cid : Fonctions diverses
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */
include_spip('inc/cid_inc_commun');

function formulaires_editer_cid_datefin_article_charger($id_article){
	
	$id_article = intval($id_article);

	if (!autoriser('modifier','article',$id_article))
		return false;

	$valeurs = array();
	$valeurs['id_article'] = $id_article;

	$row = sql_fetsel("datefin", "spip_cid_datefin", "id_objet=".$id_article." AND objet='article'","","");	
	if ($row) 
		$valeurs['_datefin_article'] = $row['datefin'];
	
	$valeurs['masquer'] = "non";				
	$valeurs['_hidden'] = "<input type='hidden' name='id_article' value='$id_article' />";

	return $valeurs;
}

function formulaires_editer_cid_datefin_article_verifier($id_article){
	$erreurs = array();
	if (!_request('supprimer_datefin_article'))
		$erreurs = cid_verifier_date(_request('datefindepublication'),_request('heurefindepublication'));

	return $erreurs;	
}

function formulaires_editer_cid_datefin_article_traiter($id_article){

	cid_maj_datefin($id_article,_request('datefindepublication'),_request('heurefindepublication'),_request('supprimer_datefin_article'));
	
	return array('message_ok'=>'','editable'=>true);
}

?>