<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */
 
if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/filtres');

function cims_affiche_milieu($flux) {
	$exec = $flux["args"]["exec"];

		if ($en_cours = trouver_objet_exec($flux['args']['exec'])
			AND $en_cours['edition']!==true // page visu
			AND $en_cours['type']=='rubrique'
                        AND !empty($flux["args"]["id_rubrique"]) 
			AND ($id_rubrique = intval($flux['args']['id_rubrique']))){
			if (autoriser('modifier','rubrique',$id_rubrique)) {
				$ret = "<div id='pave_selection'>";
				$ret .= recuperer_fond('prive/editer/cims_choix_rubrique',array_merge($_GET,array('type'=>'rubrique','id'=>$id_rubrique)));
				$ret .= "</div>";
				if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
					$flux['data'] = substr_replace($flux['data'],$ret,$p,0);
				else
					$flux["data"] .= $ret;
			}
		}
	
	return $flux;
}

?>