<?php
/**
 * Plugin Configurateur de squelettes
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;



function formulaires_ciparam_raccourci_liens_charger_dist($raccourci, $objet, $pagination, $debut_objet)
{		
	if (!autoriser('configurer', 'configuration'))
		return false;
        
	$valeurs = array();
	$valeurs['raccourci'] = $raccourci;
	$valeurs['objet'] = $objet;
	$valeurs['ci_pagination'] = $pagination;
	$valeurs['ci_debut'] = $debut_objet;
	$valeurs['_hidden'] = "<input type='hidden' name='raccourci' value='".$raccourci."' /><input type='hidden' name='objet' value='".$objet."' />";
	
	return $valeurs;
}

function formulaires_ciparam_raccourci_liens_verifier_dist($raccourci, $objet, $pagination, $debut_objet)
{
	$erreurs = array();
	return $erreurs;
}

function formulaires_ciparam_raccourci_liens_traiter_dist($raccourci, $objet, $pagination, $debut_objet)
{
    $res = array();
    $id_objets = _request('objets');

    if ($raccourci AND ctype_alnum(str_replace(array("_",'-'),'',$raccourci)) 
            AND $objet AND in_array($objet, array('articles', 'rubriques', 'syndic'))) {
    
        if ($id_objets){
            $table_id = 'id_'.$objet;
            if (substr($table_id,-1)=='s')
                $table_id = substr($table_id,0,-1);

            // desassocier un raccourci de plusieurs id precis d'un objet
            $in = sql_in($table_id,$id_objets);

            sql_delete("spip_ci_raccourcis_$objet", "raccourci='$raccourci' AND ".$in);

            if (defined('_DIR_PLUGIN_CITRACE')){
                    if ($citrace = charger_fonction('citrace', 'inc')) {
                            $action = "Retirer raccourci : ".$raccourci;
                            $message = "(fonction de retrait de raccourci de certain(e)s ".$objet.")";							
                            $citrace(substr($table_id,3), implode('-',$id_objets), $action, $message, 0);
                    }
            }

            // Invalider les caches	
            include_spip('inc/invalideur');
            suivre_invalideur("id='".substr($table_id,3)."/0'");
        }
    }

    $res['message_ok'] = "";
    $res['redirect'] = generer_url_ecrire("ciparam_raccourci","objet=$objet&raccourci=$raccourci");
    
    return $res;	
}

?>