<?php
/**
 * Plugin CIWIDGET 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/ciwidget_inc_style');


function ciwidget_css_chiffre(){
    
$return = '/* Widget chiffre */
.ciwidget_chiffre{
    margin:1rem 0;
    clear: both;
}
.ciwidget_chiffre_wrapper{
    width:83.33333%;
    margin:0 auto;
}
.ciwidget_chiffre_wrapper2,
#contenu .texte p.ciwidget_chiffre_wrapper2{
    margin:0 -1rem;
    display: table;
    table-layout: fixed;
    width: 100%;
}
.ciwidget_chiffre_colonne1{
    display: table-cell;
    text-align: center !important;
    vertical-align:middle;
    width:50%;
    '.ciwidget_ligne_css('chiffre','chiffre_background-color').'
    '.ciwidget_ligne_css_couleur_contraste('chiffre','chiffre_background-color','color').'
    '.ciwidget_ligne_css('chiffre','chiffre_height').'
}
.ciwidget_chiffre_valeur{
    display: block;
    text-align:center !important;
    padding:1rem;
    '.ciwidget_ligne_css('chiffre','chiffre_font-family').'
    '.ciwidget_ligne_css('chiffre','chiffre_font-weight').'
    '.ciwidget_ligne_css('chiffre','chiffre_font-size').'
    '.ciwidget_ligne_css('chiffre','chiffre_line-height').'
}
.ciwidget_chiffre_unite{
    display: block;
    text-align:center !important;
    '.ciwidget_ligne_css('chiffre','chiffre_font-family').'
    '.ciwidget_ligne_css('chiffre','unite_font-weight').'
    '.ciwidget_ligne_css('chiffre','unite_font-size').'
    '.ciwidget_ligne_css('chiffre','unite_line-height').'
}
.ciwidget_chiffre_colonne2{
    display: table-cell;
    vertical-align:middle;
    width:50%;
    '.ciwidget_ligne_css('chiffre','descriptif_background-color').'
    '.ciwidget_ligne_css_couleur_contraste('chiffre','descriptif_background-color','color').'
}
.ciwidget_chiffre_descriptif{
    display: block;
    padding:1rem;
    '.ciwidget_ligne_css('chiffre','descriptif_font-weight').'
    '.ciwidget_ligne_css('chiffre','descriptif_font-size').'
    '.ciwidget_ligne_css('chiffre','descriptif_line-height').'
    '.ciwidget_ligne_css('chiffre','descriptif_text-align').'
}
@media (max-width: 767px) {
    .ciwidget_chiffre_wrapper2,
    .ciwidget_chiffre_colonne1,
    .ciwidget_chiffre_colonne2 {
        display: block;
        width:100%;
    }
    .ciwidget_chiffre_wrapper{
        width:100%;
    }
    .ciwidget_chiffre_colonne1{
        height:inherit;
    }
    .ciwidget_chiffre_unite{
        padding-bottom:1rem;
    }
}
';
    
    return $return;
}

?>