<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/widget_commun');
include_spip('inc/video_commun');

function ci_dailymotion_fichier_et_param($url='',$playlist=''){
    $return = '';
    
    $fichier = ci_dailymotion_fichier($url);
    
    if ($fichier){
        $param = "queue-autoplay-next=0&queue-enable=false&sharing-enable=false&ui-logo=false";
        $param_playlist = '';

        if ($playlist AND ctype_alnum($playlist)){
            $param_playlist = "playlist=" . $playlist . "&";
        }
        
        $return = $fichier . "?" . $param_playlist . $param;
    }
  
  return $return;
}

?>